<!--
 - Created by MarosGrajcar on 1/27/2020.
 -->

<!-- Eqt Work Order Forms Holder -->
<template>
    <template if:true={initialLoading}>
        <lightning-spinner class="slds-is-relative slds-align--absolute-center slds-p-around--small"
                           alternative-text="Loading" size="medium"></lightning-spinner>
    </template>

    <template if:false={initialLoading}>
        <template if:true={hasFloc}>
            <c-eqt_forms_holder record-id={flocId} showforms="true"></c-eqt_forms_holder>
        </template>

        <template if:false={hasFloc}>
            <div class="slds-grid slds-wrap slds-card slds-p-around--small slds-m-bottom--small">
                <span class="slds-size--6-of-12">
                    <lightning-icon icon-name="custom:custom19"></lightning-icon>
                    <span class="slds-text-title_caps slds-p-left--x-small">
                        Equipment Hierarchy
                    </span>
                </span>
            </div>

        </template>
    </template>

</template>